Bug 364061 - 'Nonetype' object has no attribute 'parse_args'
'Nonetype' object has no attribute 'parse_args'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
urgent Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 11:38 EDT by Jeroen van Meeuwen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.19-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 18:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Simple KS file created using Kickstart (997 bytes, application/octet-stream)
2007-11-02 11:41 EDT, Marc Wiriadisastra
no flags Details
default revisor ks file (1.03 KB, application/octet-stream)
2007-11-02 11:43 EDT, Marc Wiriadisastra
no flags Details

  None (edit)
Description Jeroen van Meeuwen 2007-11-02 11:38:33 EDT
Description of problem:
 pykickstart doesn't load kickstart files

Version-Release number of selected component (if applicable):

pykickstart 1.18-1.fc8

How reproducible:

ksvalidator any kickstart file

Steps to Reproduce:
1. Run ksvalidator:

[kanarip@elwood ~]$ ksvalidator fedora-7-gold.cfg
'NoneType' object has no attribute 'parse_args'

2.
3.
  
Actual results:
Python AttributeError

Expected results:
$? == 0

Additional info:
This also occurs when loading a kickstart file in pykickstart, or
system-config-kickstart for that matter.

Full traceback of a Revisor run:
Kickstart file not good.
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/load_kickstart.py", line 199,
in button_back_clicked
    self.store_options()
  File "/usr/lib/python2.5/site-packages/revisor/load_kickstart.py", line 166,
in store_options
    self.cfg.load_kickstart(self.cfg.kickstart_file)
  File "/usr/lib/python2.5/site-packages/revisor/cfg.py", line 493, in
load_kickstart
    self.ksobj.read_file(fn)
  File "/usr/lib/python2.5/site-packages/revisor/kickstart.py", line 59, in
read_file
    self.ksparser.readKickstart(fn)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 675, in
readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 553, in
_stateMachine
    self.handleCommand(lineno, args)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 407, in
handleCommand
    self.handler.dispatcher(args, lineno)
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 321, in
dispatcher
    self.commands[cmd].parse(args[1:])
  File "/usr/lib/python2.5/site-packages/pykickstart/commands/method.py", line
81, in parse
    (opts, extra) = op.parse_args(args=args)
AttributeError: 'NoneType' object has no attribute 'parse_args'
Comment 1 Marc Wiriadisastra 2007-11-02 11:41:10 EDT
KickStart files that I used are attached for your convenience.
Comment 2 Marc Wiriadisastra 2007-11-02 11:41:51 EDT
Created attachment 246831 [details]
Simple KS file created using Kickstart
Comment 3 Marc Wiriadisastra 2007-11-02 11:43:09 EDT
Created attachment 246841 [details]
default revisor ks file
Comment 4 Chris Lumens 2007-11-02 11:47:09 EDT
This is fixed in pykickstart-1.19-1, which should be in the F8 trees.
Comment 5 Jeroen van Meeuwen 2007-11-11 16:31:09 EST
1.18 is still in the F8 trees
Comment 6 Jeroen van Meeuwen 2007-11-11 17:37:36 EST
http://koji.fedoraproject.org/koji/buildinfo?buildID=22039 has not been pushed
to updates or updates/testing yet.
Comment 7 Chris Lumens 2007-11-12 11:22:12 EST
My update seems to have disappeared.  I will get the errata re-made and
hopefully this time it will get pushed.  I blame doing it right around the
release time.  As to why 1.19-1 is not in F8, I have no explanation for this.  I
requested it to be done but it just didn't happen.
Comment 8 Fedora Update System 2007-11-12 18:54:28 EST
pykickstart-1.19-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.